<?
require'../config.php';
$align='left';
$title='Ваши Друзья';
head();
aut();
who_add(0,'enter');


switch($mod) {
default:
if (isset($_GET['del'])){
$a = @$db->sql_fetchrow($db->sql_query ("Select * from friends WHERE `id` = '".intval($_GET['del'])."' and `user_id` = '$user[id]'"));
$db->sql_query("DELETE FROM `friends` WHERE `id` = '".intval($_GET['del'])."' and `user_id` = '$user[id]'");
$db->sql_query("DELETE FROM `friends` WHERE `fr_id` = '$user[id]' and `user_id` = '".$a['fr_id']."'");
}

echo '<a href="friends?mod=zaiav">Предложения дружбы</a>('.$db->sql_fetchfield($db->sql_query("select count(*) as num from friends where `fr_id` = '$user[id]' and `yes` = '0' and `no` = '0'"),0).')<br /><br />';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from friends where `user_id` = '$user[id]' and `yes` = '1'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
if ($k_post==0)echo 'Друзей пока нет :(<br />';

$r = $db->sql_query ("Select * from friends where `user_id` = '$user[id]' and `yes` = '1' order by id LIMIT $start, $max");
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){


echo $post_k++.') ';

echo '<b>'.nik($a['fr_id']).'</b> [<a href="privat?mod=add&amp;to='.user_inf($a['fr_id']).'">Соощ.</a>][<a href="friends?del='.$a['id'].'">Удал.</a>] <br />';

}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('friends?',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

if ($ver!='wml')echo '<form action="friends?mod=add&amp;act=add&amp;'.SID.'" method="post">';
if ($ver=='wml')echo '<br />Ник или ID:<br /><input name="nick'.$ref.'" maxlength="15" title="Text"/><br/>';
else echo '<br />Ник или ID:<br /><input type="text" name="nick" maxlength="15" title="Text"/><br/>';
if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="friends?mod=add&amp;act=add&amp;'.SID.'" method="post">';
echo '<postfield name="nick" value="$nick'.$ref.'"/>
</go></anchor><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}

break;

case add:


if ($_GET['err']==1)echo '<b>Такого пользователя не существует!</b><br />';
if (empty($act)){
if ($ver!='wml')echo '<form action="friends?mod=add&amp;act=add&amp;'.SID.'" method="post">';
if ($ver=='wml')echo 'Ник или ID:<br /><input name="nick'.$ref.'" maxlength="15" title="Text"/><br/>';
else echo 'Ник или ID:<br /><input type="text" name="nick" maxlength="15" title="Text"/><br/>';
if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="friends?mod=add&amp;act=add&amp;'.SID.'" method="post">';
echo '<postfield name="nick" value="$nick'.$ref.'"/>
</go></anchor><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}

}else{
$nick = check($_POST['nick']);
if(isset($_GET['nick']))$nick = check($_GET['nick']);
if (!user($nick)){header ('Location: friends?mod='.$mod.'&err=1&'.SID);  exit;}

@$db->sql_query ("Select * from friends where `fr_id` = '".user_inf($nick)."' and `user_id` = '$user[id]' and `yes` = '1'");
if (mysql_affected_rows()!=0){
echo '<b>'.user_inf($nick,'user').'</b> уже давно Ваш друг.<br />';
if ($mod)echo gb.'<a href="friends">Ваши Друзья</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
}

@$db->sql_query ("Select * from friends where fr_id='".user_inf($nick)."' and user_id='$user[id]' and `no` = '1'");
if (mysql_affected_rows()!=0){
echo 'К сожалению, <b>'.user_inf($nick,'user').'</b> отклонил ваше предложение.<br />';
if ($mod)echo gb.'<a href="friends">Ваши Друзья</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
}

@$db->sql_query ("Select * from friends where fr_id='".user_inf($nick)."' and user_id='$user[id]' and `yes` = '0' and `no` = '0'");
if (mysql_affected_rows()!=0){
echo '<b>'.user_inf($nick,'user').'</b> еще не рассмотрел ваше предложение.<br />';
if ($mod)echo gb.'<a href="friends">Ваши Друзья</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
}

if ($db->sql_query ("INSERT INTO friends (user_id,fr_id,yes,no) VALUES ('$user[id]','".user_inf($nick)."','0','0')")){

if (user_inf($nick,'fr_notify')==1){
$msg = 'Пользователь [b]'.$user['user'].'[/b] предлагает вам [url=/my/friends?mod=zaiav]дружбу[/url].';
$db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user_system','0','".user($nick)."','".user_inf($nick)."','$time','$msg')");

/*
$msgmail = "".$user['user']." предлагает вам дружбу. \n \"Принять\" или \"Отклонить\" предложение вы можете на странице: \nhttp://".$_SERVER['HTTP_HOST']."/my/friends \n\nС уважением,
Администрация ".$_SERVER['HTTP_HOST']." \n_ _ _ _ _\n
Вы можете поменять настройки e-mail оповещений на странице:
http://".$_SERVER['HTTP_HOST']."/my/setting?mod=notify";

$mail=explode('|',user_inf($nick,'mail'));
addmail($mail[0], $user['user'].' предлагает вам дружбу', $msgmail);*/
}
echo 'Предложение дружбы <b>'.user_inf($nick,'user').'</b> принято!<br /><b>'.user_inf($nick,'user').'</b> рассмотрит его в ближайшее время.<br />';

}else{
echo 'Ошибка!';
}
}

break;

case zaiav:

if (isset($_GET['yes'])){
$db->sql_query("UPDATE `friends` SET `yes` = '1' WHERE `id` = '".intval($_GET['yes'])."' and `fr_id` = '$user[id]'");
$a = @$db->sql_fetchrow($db->sql_query ("Select * from friends where `fr_id` = '$user[id]' and `id` = '".intval($_GET['yes'])."'"));
$db->sql_query ("INSERT INTO friends (user_id,fr_id,yes,no) VALUES ('$user[id]','".user_inf($a['user_id'])."','1','0')");
}
if (isset($_GET['no'])){
$db->sql_query("UPDATE `friends` SET `no` = '1' WHERE `id` = '".intval($_GET['no'])."' and `fr_id` = '$user[id]'");

}


if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from friends where `fr_id` = '$user[id]' and `yes` = '0' and `no` = '0'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
if ($k_post==0)echo 'Предложений пока нет :(<br />';

$r = $db->sql_query ("Select * from friends where `fr_id` = '$user[id]' and `yes` = '0' and `no` = '0' order by id LIMIT $start, $max");
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

echo $post_k++.') ';
echo '<b>'.nik($a['user_id']).'</b> [<a href="friends?mod='.$mod.'&amp;yes='.$a['id'].'">Принять</a>][<a href="friends?mod='.$mod.'&amp;no='.$a['id'].'">Отклонить</a>] <br />';

}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('friends?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}


break;




case friends:
$nk = intval($_GET['nk']);

if (user_inf($nk,'pp_c_fr')==2){echo '<br /><b>'.user_inf($nk,'user').'</b> запретил просматривать список его друзей!<br />';
}else{
if (user_inf($nk,'pp_c_fr')!=1 || friends($inf[id],$user['id'])==1){

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from friends where `user_id` = '$nk' and `yes` = '1'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
if ($k_post==0)echo '<br />Друзей у <b>'.user_inf($nk,'user').'</b> пока нет...<br />';

$r = $db->sql_query ("Select * from friends where `user_id` = '$nk' and `yes` = '1' order by id LIMIT $start, $max");
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){


echo $post_k++.') ';
echo '<b>'.nik($a['fr_id']).'</b><br />';
}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('friends?mod='.$mod.'&amp;nk=$nk&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

}else{echo '<br />Просматривать список друзей <b>'.user_inf($nk,'user').'</b> могут только его друзья!<br />';}
}
break;

}
echo '<br />';
if ($mod)echo gb.'<a href="friends">Ваши Друзья</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>